CREATE TABLE "Velisti" (
  	"vid"			int,
 	"vnome"			varchar(20) NOT NULL,
 	"esperienza"		int,
 	"età"			real,
 	PRIMARY KEY ("vid"),
 	CHECK ("esperienza" >= 1 AND "esperienza" <= 10),
 	CHECK ("età" >= 18)
);


CREATE TABLE "Barche" (
 	"bid"		int,
 	"bnome"		varchar(25) NOT NULL,
 	"colore"	varchar(10),
 	PRIMARY KEY ("bid")
);


CREATE TABLE "Prenotazioni" (
 	"bid" 		int,
 	"vid"		int,
 	"data" 		date,
 	PRIMARY KEY ("bid", "vid", "data"),
 	FOREIGN KEY ("bid") REFERENCES "Barche"("bid"),
 	FOREIGN KEY ("vid") REFERENCES "Velisti"("vid")
);



INSERT INTO "Velisti"("vid", "vnome", "esperienza", "età")
VALUES
(22, 'Dustin', 7, 45.0),
(31, 'Lubber', 8, 55.5),
(58, 'Rusty', 10, 35.0);

INSERT INTO "Barche"("bid", "bnome", "colore")
VALUES
(101, 'Interlake', 'blu'),
(102, 'Interlake', 'rosso'),
(103, 'Clipper', 'verde'),
(104, 'Marine', 'rosso');

INSERT INTO "Prenotazioni"("vid", "bid", "data")
VALUES
(22, 101, '1996-10-10'),
(58, 103, '1996-12-11');
