CREATE  TABLE  "Studenti" (
 	"Cognome"		varchar(50) NOT NULL ,
 	"Nome"			varchar(50) ,
 	"Matricola"		varchar(5) ,
 	"Data di nascita"	date ,
 	"Codice fiscale"	varchar(16) ,
 	UNIQUE ("Codice fiscale"),
 	PRIMARY KEY ("Matricola") 
);


CREATE  TABLE  "Insegnamenti" (
 	"Nome"		varchar(50) NOT NULL,
 	"Crediti"	int ,
 	"Codice"	varchar(5) ,
 	PRIMARY KEY ("Codice") 
);


CREATE TABLE "Esami" (
 	"Voto"			integer  NOT NULL ,
 	"Lode"			boolean  DEFAULT FALSE ,
 	"Data"			date ,
 	"Studente"		varchar(5) ,
 	"Esame"			varchar(5) ,
 	PRIMARY KEY ("Studente", "Esame") ,
 	FOREIGN KEY ( "Studente" )
			REFERENCES "Studenti" ("Matricola") ,
 	FOREIGN KEY ( "Esame" )
			REFERENCES "Insegnamenti" ("Codice") ,
 	CHECK ("Voto" >= 18 AND "Voto" <= 30) ,
 	CHECK (NOT ("Voto" < 30 AND "Lode" = TRUE))
);



INSERT INTO "Studenti"("Matricola", "Codice fiscale", "Cognome", "Nome", "Data di nascita")
VALUES
('00001', 'RSSMRA', 'Rossi', 'Maria', '1990-1-1'),
('00002', 'VRDFRA', 'Verdi', 'Francesca', '1991-2-3'),
('00003', 'NRIGVI', 'Neri', 'Giovanni', '1990-7-5'),
('00004', 'BNCMRA', 'Bianchi', 'Maria', '1990-11-10'),
('00005', 'SMTJOH', 'Smith', 'John', '1991-12-12'),
('00006', 'BRNMRO', 'Bruni', 'Marco', '1991-2-28');


INSERT INTO "Insegnamenti"("Nome", "Codice", "Crediti")
VALUES
('Analisi I', 'AMI01', 9),
('Geometria', 'GEO01', 6),
('Fisica I', 'FISI1', 6),
('Chimica', 'CHI01', 6),
('Informatica', 'INF01', 6);


INSERT INTO "Esami"("Studente", "Esame", "Data", "Voto", "Lode")
VALUES
('00003', 'GEO01', '2013-9-10', 28, FALSE),
('00001', 'AMI01', '2013-9-15', 24, FALSE),
('00003', 'AMI01', '2013-9-30', 27, FALSE),
('00002', 'GEO01', '2013-9-28', 30, TRUE),
('00004', 'CHI01', '2013-9-19', 27, FALSE);
